* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

body {
  height: 100vh;
  background-color: rgb(175, 216, 202);
}

a {
  text-decoration: none;
}

.wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
  font-family: "Barlow Condensed", sans-serif;
  height: 100%;
}

.form {
  background-color: #fff;
  padding: 40px 60px;
  width: 100%;
  max-width: 300px;
  box-sizing: border-box;
  border-radius: 5px;
  box-shadow: 0px 0px 10px 0px #666;
}

.form__wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.form__item {
  margin-bottom: 20px;
  position: relative;
}

.form__input {
  padding: 10px;
  outline: none;
  border: 1px solid #04aa6d;
  border-radius: 5px;
}

.form__item label {
  position: absolute;
  left: 5px;
  top: 7px;
  transition: 0.3s;
  background: #fff;
  padding: 3px 10px;
}

.form__input:focus + label {
  top: -11px;
  color: #04aa6d;
}

.form__button {
  margin-top: 8px;
}

.form__button-link {
  padding: 10px 28px;
  font-weight: 400;
  font-size: 20px;
  background-color: #42bb8f;
  color: black;
  border: 1px solid #04aa6d;
  border-radius: 5px;
  cursor: pointer;
  font-size: 17px;
}

.form__link {
  color: #04aa6d;
  font-size: 15px;
}

.form__link-wrapper {
  margin-top: 15px;
}

.form__checkbox {
  margin-top: 13px;
}

.checkbox-label {
  font-size: 15px;
}

/* Sweep To Right */
.form__button-link {
  display: inline-block;
  vertical-align: middle;
  -webkit-transform: perspective(1px) translateZ(0);
  transform: perspective(1px) translateZ(0);
  box-shadow: 0 0 1px rgba(0, 0, 0, 0);
  position: relative;
  -webkit-transition-property: color;
  transition-property: color;
  -webkit-transition-duration: 0.3s;
  transition-duration: 0.3s;
}
.form__button-link:before {
  content: "";
  position: absolute;
  z-index: -1;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: white;
  color: black;
  border-radius: 5px;

  -webkit-transform: scaleX(0);
  transform: scaleX(0);
  -webkit-transform-origin: 0 50%;
  transform-origin: 0 50%;
  -webkit-transition-property: transform;
  transition-property: transform;
  -webkit-transition-duration: 0.3s;
  transition-duration: 0.3s;
  -webkit-transition-timing-function: ease-out;
  transition-timing-function: ease-out;
}
.form__button-link:hover,
.form__button-link:focus,
.form__button-link:active {
  color: black;
}
.form__button-link:hover:before,
.form__button-link:focus:before,
.form__button-link:active:before {
  -webkit-transform: scaleX(1);
  transform: scaleX(1);
}

/* ////////////// */
